
EOLE OpenNebula - Scénario #28823

Hâpy 2.7 : Le reconfigure ne devrait pas couper les interfaces réseau des VM

08/28/2019 04:23 PM - Philippe Caseiro

Status: Terminé (Sprint) Start date: 10/14/2019

Priority: Normal Due date: 10/31/2019

Assigned To:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Prestation Cadoles 42-44 Spent time: 0.00 hour

Description

Depuis la 2.7.0, le reconfigure coupe l'accès aux réseau des VM en détruisant les interfaces.

Le script "eole-purge-interfaces" supprime les bridges utilisés par OpenNebula, il ne sont pas recrées

et donc les VM n'ont plus accès au réseau.

Il suffit d'avoir une VM avec une carte réseau et le lancer reconfigure pour voir que la VM n'est plus joignable.

Solutions à mettre en œuvre

intégrer le patch sur EOLE >= 2.7.0

Critères d'acceptation

Test passant

déployer aca.hapy instance-AvecImport (avec VM ubuntu14.04 existante)

aller en VNC dans la VM ubuntu et exécuter ping free.fr

reconfigurer le module Hâpy

se reconnecter en VNC et vérifier que le ping se poursuit avec succès (une coupure de quelques secondes est acceptable)

Subtasks:

Tâche # 29176: Appliquer et valider le patch Fermé

Tâche # 29177: Faire les paquets et valider le bon fonctionnement Fermé

Related issues:

Related to Distribution EOLE - Tâche #29152: Validation du scénario : Hâpy 2.... Fermé 10/16/2019

Associated revisions

Revision 43b88d24 - 10/28/2019 12:39 PM - Vincent Febvre

Correction pour que le script ne s'exécute pas lors de l'instance Ref #28823

Revision c721911a - 10/29/2019 09:38 AM - Vincent Febvre

Correction pour que le script ne s'exécute pas lors de l'instance Ref #28823

Revision 186322fc - 10/29/2019 09:42 AM - Vincent Febvre

Correction pour que le script ne s'exécute pas lors de l'instance Ref #28823

History

#1 - 08/28/2019 04:27 PM - Philippe Caseiro

- File 0001-Ignore-the-bridges-used-by-OpenNebula.patch added

Ci-joint une propostion de patch pour résoudre le problème. C'est une solution rapide mais ça fait le boulot pour Hâpy.

En pre-service je récupère les bridges utilisés par OpenNebula dans un fichier /etc/eole/hapy-br.csv, ensuite j'ai modifié le script 

eole-purge-interfaces pour qu'il lise ce ficher et qu'il ignore les interfaces contenues dedant + les interfaces qui commencent par one- et l'interface

ovs-system.

Le patch s'applique dans le dépôt eole-common et il a été généré à partir de la branche 2.7.0/master
#2 - 08/28/2019 04:29 PM - Philippe Caseiro

Question annexe, dans quelle mesure il ne faudrait pas lancer le script de pre-service directement depuis le service systemd netplan-apply ? En

PreStop ou quelque chose dans ce goût là.

#3 - 08/29/2019 10:06 AM - Daniel Dehennin

Philippe Caseiro a écrit :

Question annexe, dans quelle mesure il ne faudrait pas lancer le script de pre-service directement depuis le service systemd netplan-apply ? En

PreStop ou quelque chose dans ce goût là.

 

C’est une bonne idée, ce PreStart pourrait générer la liste des interfaces à exclure en exécutant des scripts dans un run-parts où chaque module

pourrait y déposer un script en fonction de leurs besoins.

#4 - 09/06/2019 02:50 PM - Joël Cuissinat

- Tracker changed from Demande to Scénario

- Project changed from Distribution EOLE to EOLE OpenNebula

- Subject changed from Problèmes avec les interfaces réseau des VM dans Hâpy. to Hâpy 2.7 : Le reconfigure ne devrait pas couper les interfaces

réseau des VM

- Start date deleted (08/28/2019)

- Release set to EOLE 2.7.1.2

#5 - 09/23/2019 04:17 PM - Daniel Dehennin

Je pense aussi que la solution présente ne fonctionne pas sur un Hâpy node.

La commande onevnet n’est pas disponible sur les Hâpy nodes.

#6 - 09/26/2019 04:41 PM - Gilles Grandgérard

- Release changed from EOLE 2.7.1.2 to Carnet de produit (Cadoles)

#7 - 10/03/2019 03:01 PM - Joël Cuissinat

- Description updated

- Story points set to 2.0

#8 - 10/07/2019 03:01 PM - Joël Cuissinat

- Due date set to 10/31/2019

- Target version set to Prestation Cadoles 42-44

- Start date set to 10/14/2019

#9 - 10/16/2019 11:17 AM - Joël Cuissinat

- Related to Tâche #29152: Validation du scénario : Hâpy 2.7 : Le reconfigure ne devrait pas couper les interfaces réseau des VM added

#10 - 10/31/2019 09:01 AM - Daniel Dehennin

- Status changed from Nouveau to Terminé (Sprint)
#11 - 11/04/2019 02:25 PM - Joël Cuissinat

- Release changed from Carnet de produit (Cadoles) to EOLE 2.7.1.2

Files

0001-Ignore-the-bridges-used-by-OpenNebula.patch 3.49 KB 08/28/2019 Philippe Caseiro
